View Issue Details

IDProjectCategoryView StatusLast Update
0016121FPCRTLpublic2011-05-01 22:40
Reporterbolek Assigned ToMarco van de Voort  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.4.1 
Target Version2.4.2Fixed in Version2.4.2 
Summary0016121: fgl, Generics error
Descriptionwhen i try to compile this

program project1;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes, fgl
  { you can add units after this };

{$R *.res}
type
  TIntegerList = specialize TFPGList<Integer>;
begin

end.

i get this error

project1.lpr(14,45) Fatal: Syntax error, ";" expected but ">" found
TagsNo tags attached.
Fixed in Revision
FPCOldBugId0
FPCTarget
Attached Files

Activities

Jonas Maebe

2010-03-26 21:04

manager   ~0036130

It compiles with trunk, it compiles with 2.4.0, but indeed fails with fixes. I don't know what was merged that caused this to break. It's probably something in the fgl unit itself, since no compiler changes have been merged recently.

Note that the svn revision you entered is a lazarus svn revision number, not an FPC svn revision number. I tested with 2.4.1 r15065

Florian

2010-04-22 19:00

administrator   ~0036916

Merging of 14245 in 15050 breaks it. To make it work, at least 14176 needs to be merged.

Marco van de Voort

2010-04-22 22:12

manager   ~0036927

Last edited: 2010-04-22 22:12

That fixes that, but not compilation:

Error: Identifier not found "FList"
Error: Identifier not found "FPosition"
Error: Identifier not found "FList"
Error: Identifier not found "FPosition"
Error: Identifier not found "FPosition"
Error: Identifier not found "FPosition"
Error: Identifier not found "FList"

It's beyond me, so I'll see if I can undo that merge in the weekend

Florian

2010-04-24 11:20

administrator   ~0036964

Question is if the iterator/enumerator stuff shall be merged to 2.4.0 or not?

Marco van de Voort

2010-04-24 13:00

manager   ~0036971

Last edited: 2010-04-24 13:02

I leave decisions that hit the core compiler to the resp. compilerguys.
My merging that was an oversight. (the usual testcompile afterwards succeeded, it was a library routine, and I didn't look further)

But time is running out to do merging, when I'm back from holiday, I want to start with the 2.4.2 branch.

Sven Barth

2010-09-29 11:55

manager   ~0041362

Merging 14243 as well seems to solve the errors mentioned in Marcos comment.

Regards,
Sven

Marco van de Voort

2010-10-28 23:21

manager   ~0042277

Merged into 2.4.2

Marco van de Voort

2010-10-28 23:22

manager   ~0042278

merged into 2.4.2 via fixes.

Issue History

Date Modified Username Field Change
2010-03-26 18:22 bolek New Issue
2010-03-26 21:04 Jonas Maebe Note Added: 0036130
2010-04-22 19:00 Florian Note Added: 0036916
2010-04-22 19:00 Florian Status new => assigned
2010-04-22 19:00 Florian Assigned To => Marco van de Voort
2010-04-22 22:12 Marco van de Voort Note Added: 0036927
2010-04-22 22:12 Marco van de Voort Note Edited: 0036927
2010-04-24 11:20 Florian Note Added: 0036964
2010-04-24 13:00 Marco van de Voort Note Added: 0036971
2010-04-24 13:01 Marco van de Voort Note Edited: 0036971
2010-04-24 13:02 Marco van de Voort Note Edited: 0036971
2010-09-29 11:55 Sven Barth Note Added: 0041362
2010-10-28 23:21 Marco van de Voort Note Added: 0042277
2010-10-28 23:22 Marco van de Voort Status assigned => resolved
2010-10-28 23:22 Marco van de Voort Fixed in Version => 2.4.2
2010-10-28 23:22 Marco van de Voort Resolution open => fixed
2010-10-28 23:22 Marco van de Voort Note Added: 0042278
2010-10-28 23:22 Marco van de Voort Target Version => 2.4.2
2011-05-01 22:40 Marco van de Voort FPCOldBugId => 0
2011-05-01 22:40 Marco van de Voort Status resolved => closed